import random


class FrontierLocation:
    def __init__(self, coords, fittingTypeNames):
        self.coords = coords
        self.fittingTypeNames = fittingTypeNames

    def __repr__(self):
        outStr = str(self.coords)
        return outStr
    
    def __eq__(self, other):
        if self.coords != other.coords:
            return False
        return True

    def __hash__(self):
        return hash(self.coords)

    def GetRandomFittingTileTypeName(self):
        if type(self.fittingTypeNames) is set:
            return random.sample(self.fittingTypeNames, 1)[0]
        else:
            return None
